{"openapi":"3.1.0","info":{"title":"POST /api/v1/orders/{order_id}/send","version":"1.0.0","description":"Send order for signature"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/orders/{order_id}/send":{"post":{"tags":["orders"],"summary":"Send order for signature","description":"Send a draft order for signature (draft -> sent).","operationId":"send_order_api_v1_orders__order_id__send_post","parameters":[{"name":"order_id","in":"path","required":true,"schema":{"type":"string","title":"Order Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__core__success__SuccessEnvelope_OrderResponse___1"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"OrderLineResponse":{"properties":{"id":{"type":"string","title":"Id"},"order_id":{"type":"string","title":"Order Id"},"catalog_item_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Catalog Item Id"},"catalog_item_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Catalog Item Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"qty":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Qty"},"unit_price_cents":{"type":"integer","title":"Unit Price Cents"},"amount_cents":{"type":"integer","title":"Amount Cents"},"billing_rule":{"type":"string","title":"Billing Rule"},"billing_timing":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Timing"},"ramp_schedule":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Ramp Schedule"}},"type":"object","required":["id","order_id","qty","unit_price_cents","amount_cents","billing_rule"],"title":"OrderLineResponse","description":"An order-form line in responses."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"app__api__v1__schemas__orders__OrderResponse":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"customer_id":{"type":"string","title":"Customer Id"},"customer_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Customer Name"},"project_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Project Id"},"number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Number"},"status":{"type":"string","title":"Status"},"currency":{"type":"string","title":"Currency"},"order_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Order Description"},"order_start_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Order Start Date"},"first_invoice_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"First Invoice Date"},"term_months":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Term Months"},"end_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"End Date"},"subtotal_cents":{"type":"integer","title":"Subtotal Cents","default":0},"discount_cents":{"type":"integer","title":"Discount Cents","default":0},"order_value_cents":{"type":"integer","title":"Order Value Cents","default":0},"tax_treatment":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tax Treatment"},"signed_contract_file_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signed Contract File Url"},"frozen":{"type":"boolean","title":"Frozen","default":false},"sent_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Sent At"},"signed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Signed At"},"countersigned_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Countersigned At"},"contract_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contract Id"},"lines":{"items":{"$ref":"#/components/schemas/OrderLineResponse"},"type":"array","title":"Lines"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"can_be_sent":{"type":"boolean","title":"Can Be Sent","default":false},"can_be_signed":{"type":"boolean","title":"Can Be Signed","default":false},"can_be_countersigned":{"type":"boolean","title":"Can Be Countersigned","default":false},"can_be_updated":{"type":"boolean","title":"Can Be Updated","default":false},"can_be_deleted":{"type":"boolean","title":"Can Be Deleted","default":false}},"type":"object","required":["id","business_id","customer_id","status","currency","created_at","updated_at"],"title":"OrderResponse","description":"Response schema for an order."},"app__core__success__SuccessEnvelope_OrderResponse___1":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/app__api__v1__schemas__orders__OrderResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[OrderResponse]"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}